<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>File sharing | Home</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <!-- <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous"> -->

    <style>
        /**
 * FilePond Custom Styles
 */
        .filepond--drop-label {
            color: #4c4e53;
        }

        .filepond--label-action {
            -webkit-text-decoration-color: #babdc0;
            text-decoration-color: #babdc0;
        }

        .filepond--panel-root {
            border-radius: 2em;
            background-color: #edf0f4;
            height: 1em;
        }

        .filepond--item-panel {
            background-color: #595e68;
        }

        .filepond--drip-blob {
            background-color: #7f8a9a;
        }

        /**
 * Page Styles
 */
        html {
            padding: 3vh 0 0;
        }

        body {
            max-width: 28em;
            margin: 0 auto;
            background-color: #880E4F;
        }

        .background {

            border-radius: 5px;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .clipboard {
            border: 0;
            margin: 5px;
            padding: 15px;
            border-radius: 3px;
            background-image: linear-gradient(135deg, #536DFE 10%, #304FFE 100%);
            cursor: pointer;
            color: #fff;
            font-family: "Karla", sans-serif;
            font-size: 16px;
            position: relative;
            top: 0;
            transition: all 0.2s ease;
        }

        body .clipboard:hover {
            top: 2px;
        }

        body p {
            font-weight: 700;
        }
    </style>
</head>

<body>
    <link href="https://unpkg.com/filepond/dist/filepond.css" rel="stylesheet">
    <link href="https://unpkg.com/filepond-plugin-image-preview/dist/filepond-plugin-image-preview.css"
        rel="stylesheet">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/filepond/4.30.3/filepond.min.js"
        integrity="sha512-AuMJiyTn/5k+gog21BWPrcoAC+CgOoobePSRqwsOyCSPo3Zj64eHyOsqDev8Yn9H45WUJmzbe9RaLTdFKkO0KQ=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.js"></script>
    <script src="https://unpkg.com/jquery-filepond/filepond.jquery.js"></script>
    <script src="https://unpkg.com/filepond-plugin-image-preview/dist/filepond-plugin-image-preview.js"></script>


    <div class="text-center">

        <img src="/media/image/undraw.svg" class="img-fluid img-responsive" style="height: 300px;">
    </div>

    <input type="file" class="my-pond mt-4" multiple name="filepond" />

    <div class="text-center">
        <button class="btn btn-success" onclick="upload_file()">Upload File</button>
    </div>

    <div id="panel" class="carad mt-3" id="btn" style="display: none;">
        <div class="card-bodqy">


            <div class="background">
                <center>
                    <button onclick="copyClip()" class="clipboard">Click me to copy current Url</button>
                </center>
            </div>

        </div>
    </div>
    </div>


    <script src="https://unpkg.com/filepond/dist/filepond.min.js"></script>





    <script>
        FilePond.registerPlugin(
            FilePondPluginImagePreview,

        );

        const pond = FilePond.create(
            document.querySelector('.my-pond')
        );

        var url = null

        function upload_file() {
            document.getElementById("panel").style.display = "block";

            var files = pond.getFiles()

            var formdata = new FormData()

            for (var i = 0; i < files.length; i++) {
                formdata.append('files', files[i].file)
            }

            fetch('/handle/', {
                    method: 'POST',
                    headers: {
                        'X-CSRFToken': "{{csrf_token}}"
                    },
                    body: formdata
                }).then(res => res.json())
                .then(result => {
                    console.log(result)

                    url = `http://myfile-sharing-app.herokuapp.com/download/${result.data.folder}`

                })

        }

        function copyClip() {
            console.log('dd')
        
         
            /* Copy the text inside the text field */
            navigator.clipboard.writeText(url);

            /* Alert the copied text */
            alert("Copied the text: " + url);
        }
    </script>

</body>

</html>